This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 818133 - SELinux is preventing /usr/bin/dbus-daemon from 'read' accesses on the file /home/aaron/.local/share/icc/edid-e3fd51360bab2ec4bbbbdba14e0791ac.icc.
SELinux is preventing /usr/bin/dbus-daemon from 'read' accesses on the file /...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:09bdbb7eec26a8140f51f1e049e...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-02 06:13 EDT by Aaron Sowry
Modified: 2012-05-02 06:50 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-02 06:50:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Aaron Sowry 2012-05-02 06:13:49 EDT
libreport version: 2.0.10
executable:     /usr/bin/python
hashmarkername: setroubleshoot
kernel:         3.3.4-1.fc17.x86_64
time:           Wed 02 May 2012 12:13:01 PM CEST

description:
:SELinux is preventing /usr/bin/dbus-daemon from 'read' accesses on the file /home/aaron/.local/share/icc/edid-e3fd51360bab2ec4bbbbdba14e0791ac.icc.
:
:*****  Plugin restorecon (99.5 confidence) suggests  *************************
:
:If you want to fix the label. 
:/home/aaron/.local/share/icc/edid-e3fd51360bab2ec4bbbbdba14e0791ac.icc default label should be icc_data_home_t.
:Then you can run restorecon.
:Do
:# /sbin/restorecon -v /home/aaron/.local/share/icc/edid-e3fd51360bab2ec4bbbbdba14e0791ac.icc
:
:*****  Plugin catchall (1.49 confidence) suggests  ***************************
:
:If you believe that dbus-daemon should be allowed read access on the edid-e3fd51360bab2ec4bbbbdba14e0791ac.icc file by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep dbus-daemon /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                system_u:system_r:system_dbusd_t:s0-s0:c0.c1023
:Target Context                unconfined_u:object_r:home_root_t:s0
:Target Objects                /home/aaron/.local/share/icc/edid-
:                              e3fd51360bab2ec4bbbbdba14e0791ac.icc [ file ]
:Source                        dbus-daemon
:Source Path                   /usr/bin/dbus-daemon
:Port                          <Unknown>
:Host                          (removed)
:Source RPM Packages           dbus-1.4.10-4.fc17.x86_64
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.10.0-118.fc17.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed) 3.3.4-1.fc17.x86_64 #1 SMP Fri Apr 27
:                              18:39:03 UTC 2012 x86_64 x86_64
:Alert Count                   1
:First Seen                    Wed 02 May 2012 11:31:55 AM CEST
:Last Seen                     Wed 02 May 2012 11:31:55 AM CEST
:Local ID                      11d8950c-e1a8-4204-aa81-cb9585229694
:
:Raw Audit Messages
:type=AVC msg=audit(1335951115.103:325): avc:  denied  { read } for  pid=800 comm="dbus-daemon" path="/home/aaron/.local/share/icc/edid-e3fd51360bab2ec4bbbbdba14e0791ac.icc" dev="dm-2" ino=4337994 scontext=system_u:system_r:system_dbusd_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:home_root_t:s0 tclass=file
:
:
:type=SYSCALL msg=audit(1335951115.103:325): arch=x86_64 syscall=recvmsg success=yes exit=411 a0=17 a1=7fffd29d4990 a2=40000000 a3=0 items=0 ppid=1 pid=800 auid=4294967295 uid=81 gid=81 euid=81 suid=81 fsuid=81 egid=81 sgid=81 fsgid=81 tty=(none) ses=4294967295 comm=dbus-daemon exe=/usr/bin/dbus-daemon subj=system_u:system_r:system_dbusd_t:s0-s0:c0.c1023 key=(null)
:
:Hash: dbus-daemon,system_dbusd_t,home_root_t,file,read
:
:audit2allowunable to open /sys/fs/selinux/policy:  Permission denied
:
:
:audit2allow -Runable to open /sys/fs/selinux/policy:  Permission denied
:
:
Comment 1 Miroslav Grepl 2012-05-02 06:50:50 EDT
Please execute

# restorecon -R -v /home/aaron/.local

will fix labeling.

Note You need to log in before you can comment on or make changes to this bug.